// EEPROM Data Read Function -    EEPROM   
unsigned char readEEPROM (unsigned int addr)
        {
        unsigned char data = 0;
        while (EECR.1 != 0);        
        EEAR = addr;      
        EECR.0 = 1;
        EECR.0 = 0;
        data = EEDR;
        return data;
        }

// EEPROM Data Write Function -   data  EEPROM   
void writeEEPROM (unsigned int addr, unsigned char data)
        {
        while (EECR.1 != 0);
        EEAR = addr;
        EEDR = data;
        EECR.2 = 1;
        EECR.1 = 1;
        }

// EEPROM Data Copy Function -      
void copyEEPROM (unsigned int saddr, unsigned char taddr)
        {
        writeEEPROM (taddr, readEEPROM (saddr));
        }
        
// EEPROM 2-byte Data Write Function -     2      addr 
void _2bwriteEEPROM (unsigned int addr, unsigned int data)
        {
        writeEEPROM (addr, (unsigned char)(data / 256));
        writeEEPROM (addr + 1, (unsigned char)(data % 256));
        }
        
// EEPROM 2-byte Data Read Function -     2      addr
unsigned int _2breadEEPROM (unsigned int addr)
        {
        unsigned int data = 0;
        data = 256 * readEEPROM(addr) + readEEPROM(addr + 1);
        return data;
        }
        

               